Delete payout
curl --request DELETE \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/payouts/{payoutId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/payouts/{payoutId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/payouts/{payoutId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "com.layerfi.routers.EmptyResponse"
}
}{
"type": "InvalidParameters",
"description": "<string>",
"error_enum": "InvalidPayload",
"meta": {}
}Payouts
Delete payout
Deletes a payout for a business. Ledger entries will be reversed but referenced payments and refunds will not be removed. To keep ledger entries most understandable, we recommend updating payouts rather than deleting and recreating when the intent is to fix or update information from the same payout.
DELETE
/
v1
/
businesses
/
{businessId}
/
payouts
/
{payoutId}
Delete payout
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business to delete.
The UUID of the payout to delete.
Response
Success.
Show child attributes
Show child attributes
⌘I